Bug 1257632 - Unable to display panoramic pictures from Android phone
Unable to display panoramic pictures from Android phone
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gwenview (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 09:49 EDT by Marcin Juszkiewicz
Modified: 2015-11-27 05:27 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-27 05:27:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test picture (5.34 MB, image/jpeg)
2015-08-27 09:49 EDT, Marcin Juszkiewicz
no flags Details

  None (edit)
Description Marcin Juszkiewicz 2015-08-27 09:49:20 EDT
Created attachment 1067742 [details]
test picture

Description of problem:

During my Flock trip I took some photos. Some of them are panoramic ones (done with Google Camera app). Note that I do not say about 360° ones but "plain" JPG ones.

Gwenview is unable to display them. ImageMagick displays, Chrome shows as well.

Version-Release number of selected component (if applicable):

gwenview-15.04.2-3.fc23.x86_64 (under rawhide)

How reproducible:

always

Steps to Reproduce:
1. fetch attachement
2. use gwenview to show

Actual results:

QImageReader::read() using format hint "jpg" failed: "Unknown error"
A bad Qt image decoder moved the buffer to 5595219 in a call to canRead()! Rewinding.
Image format is actually "jpeg" not "jpg"

Expected results:

picture displayed

Additional info:
Comment 1 Anderson 2015-09-19 11:39:44 EDT
I am also affected by this bug. However, I use Arch Linux.

Gwenview version is 15.08.0. Using KDE Frameworks 5.13.0 and Qt 5.5.0.

----

There is a report of the same problem in Reddit: https://www.reddit.com/r/kde/comments/3l7l75/gwenview_1508_on_plasma_5arch_fails_to_open_jpgs/
Comment 2 Anderson 2015-09-19 12:04:20 EDT
I submitted an upstream bug: https://bugs.kde.org/show_bug.cgi?id=352912
Comment 3 Armin 2015-11-11 06:55:33 EST
This doesn't just apply to panoramic images, but to many ordinary images as well. Also, the bug doesn't just affect gwenview, but also other applications like the desktop background. Can provide further example images if needed.
Comment 4 Marcin Juszkiewicz 2015-11-27 05:27:01 EST
gwenview from rawhide displayed my test picture (attached to this bug) properly.

Note You need to log in before you can comment on or make changes to this bug.